Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genins.session
Class GenInsServiceImplementationFactory

    java.lang.Object
      be.ehealth.technicalconnector.session.ImplementationClassFactory
          be.ehealth.businessconnector.genins.session.GenInsServiceImplementationFactory

    public class GenInsServiceImplementationFactory

extends ImplementationClassFactory

Implementation for the `ChapterIVSessionServiceFactory`

Constructor Summary
`GenInsServiceImplementationFactory()`

Method Summary
`
`<T> T`
` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory
`createImplementationClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenInsServiceImplementationFactory

    public GenInsServiceImplementationFactory()

Method Detail

### createImplementationClass

    public <T> T createImplementationClass(Class<T> clazz,
                                           SessionValidator sessionValidator,
                                           EhealthReplyValidator replyValidator,
                                           String... additionalParameters)
                                throws GenInsBusinessConnectorException,
                                       TechnicalConnectorException

  Overrides:
    `createImplementationClass` in class `ImplementationClassFactory`
  Throws:
    `GenInsBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.technicalconnector.session.ImplementationClassFactory#createImplementationClass(java.lang.Class, be.ehealth.technicalconnector.validator.SessionValidator, be.ehealth.technicalconnector.validator.EhealthReplyValidator)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.